// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function GGPMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M22.7298 18.7016C23.4998 18.1816 23.9998 17.3016 23.9998 16.3016C23.9998 14.7016 22.6998 13.4016 21.0998 13.4016H14.4098C13.3598 13.4016 12.5098 12.5516 12.5098 11.5016C12.5098 10.4516 13.3598 9.60156 14.4098 9.60156H22.7498C23.0298 9.60156 23.2498 9.38156 23.2498 9.10156C23.2498 8.82156 23.0298 8.60156 22.7498 8.60156H14.4098C12.8098 8.60156 11.5098 9.90156 11.5098 11.5016C11.5098 12.5016 12.0198 13.3816 12.7798 13.9016C12.0098 14.4216 11.5098 15.3016 11.5098 16.3016C11.5098 17.9016 12.8098 19.2016 14.4098 19.2016H21.0998C22.1498 19.2016 22.9998 20.0516 22.9998 21.1016C22.9998 22.1516 22.1498 23.0016 21.0998 23.0016H12.7598C12.4798 23.0016 12.2598 23.2216 12.2598 23.5016C12.2598 23.7816 12.4798 24.0016 12.7598 24.0016H21.0998C22.6998 24.0016 23.9998 22.7016 23.9998 21.1016C23.9998 20.1016 23.4898 19.2216 22.7298 18.7016ZM14.4098 18.2016C13.3598 18.2016 12.5098 17.3516 12.5098 16.3016C12.5098 15.2516 13.3598 14.4016 14.4098 14.4016H21.0998C22.1498 14.4016 22.9998 15.2516 22.9998 16.3016C22.9998 17.3516 22.1498 18.2016 21.0998 18.2016H14.4098Z"
        fill="white"
      />
      <path
        d="M6.6 21.34C3.14 19.43 1 15.79 1 11.84C1 5.87 5.87 1 11.85 1C14.7 1 17.39 2.1 19.43 4.09C19.63 4.29 19.94 4.28 20.14 4.09C20.33 3.89 20.33 3.58 20.14 3.38C17.9 1.2 14.96 0 11.85 0C5.31 0 0 5.31 0 11.85C0 16.16 2.34 20.13 6.12 22.22C6.2 22.26 6.28 22.28 6.36 22.28C6.54 22.28 6.71 22.19 6.8 22.02C6.93 21.78 6.85 21.47 6.6 21.34Z"
        fill="white"
      />
    </svg>
  );
}
